# List Encoders

* [Request Parameters](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/acs/encoders/..#request-parameters)
* [Response](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/acs/encoders/..#response)
* [Examples](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/acs/encoders/..#examples)

Returns a list of all [encoders](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/capability-guides/access-systems/working-with-card-encoders-and-scanners).

{% tabs %}
{% tab title="Signature" %}

```
POST /acs/encoders/list ⇒ { acs_encoders: [acs_encoder, …] }
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`acs_encoder_ids`** *Array* *of UUIDs*

IDs of the encoders that you want to retrieve.

***

**`acs_system_id`** *String*

ID of the access system for which you want to retrieve all encoders.

***

**`acs_system_ids`** *Array* *of UUIDs*

IDs of the access systems for which you want to retrieve all encoders.

***

**`limit`** *Number*

Number of encoders to return.

***

## Response

Array of [acs\_encoders](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/acs/encoders)

{% tabs %}
{% tab title="JSON" %}

```json
{
  JSON representation of acs_encoder
}
```

{% endtab %}
{% endtabs %}
